org.eclipse.mat.ui.internal.acquire

## Class ProviderConfigurationWizardPage

- java.lang.Object
- - WizardPage
  - - org.eclipse.mat.ui.internal.acquire.ProviderConfigurationWizardPage

All Implemented Interfaces:
  ProviderArgumentsTable.ITableListener

    public class ProviderConfigurationWizardPage
    extends WizardPage
    implements ProviderArgumentsTable.ITableListener

### Constructor Summary

Constructors
Constructor and Description
`ProviderConfigurationWizardPage(AcquireDialog acquireDialog)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createControl(Composite parent)`
`IWizardPage` `getNextPage()`
`boolean` `isPageComplete()`
`void` `onError(String message)`
`void` `onFocus(String message)`
`void` `onInputChanged()`
`void` `onValueChanged()`
`void` `relocateHelp(boolean create)`
`void` `setVisible(boolean f)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProviderConfigurationWizardPage

    public ProviderConfigurationWizardPage(AcquireDialog acquireDialog)

### Method Detail

#### createControl

    public void createControl(Composite parent)

#### getNextPage

    public IWizardPage getNextPage()

#### relocateHelp

    public void relocateHelp(boolean create)

#### setVisible

    public void setVisible(boolean f)

#### onInputChanged

    public void onInputChanged()

Specified by:
  `onInputChanged` in interface `ProviderArgumentsTable.ITableListener`

#### onValueChanged

    public void onValueChanged()

Specified by:
  `onValueChanged` in interface `ProviderArgumentsTable.ITableListener`

#### onError

    public void onError(String message)

Specified by:
  `onError` in interface `ProviderArgumentsTable.ITableListener`

#### onFocus

    public void onFocus(String message)

Specified by:
  `onFocus` in interface `ProviderArgumentsTable.ITableListener`

#### isPageComplete

    public boolean isPageComplete()